// TimeoutsDlg.cpp : implementation file
//

#include "stdafx.h"
#include "lift.h"
#include "TimeoutsDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CTimeoutsDlg dialog


CTimeoutsDlg::CTimeoutsDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CTimeoutsDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CTimeoutsDlg)
	m_TInactive = 300;
	m_TDoorsTimeout = 76;
	m_TDoors = 20;
	m_TWaitTimeout = 40;
	m_TAfterRest = 20;
	m_TStarting = 15;
	m_TUp = 51;
	m_TUpBraking = 14;
	m_TDown = 61;
	m_TDownBraking = 23;
	m_THuman = 25;
	//}}AFX_DATA_INIT
}


void CTimeoutsDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CTimeoutsDlg)
	DDX_Text(pDX, IDC_TINACTIVE, m_TInactive);
	DDV_MinMaxInt(pDX, m_TInactive, 3, 10000);
	DDX_Text(pDX, IDC_TDOORSTIMEOUT, m_TDoorsTimeout);
	DDV_MinMaxInt(pDX, m_TDoorsTimeout, 3, 10000);
	DDX_Text(pDX, IDC_TDOORS, m_TDoors);
	DDV_MinMaxInt(pDX, m_TDoors, 3, 10000);
	DDX_Text(pDX, IDC_TWAITTIMEOUT, m_TWaitTimeout);
	DDV_MinMaxInt(pDX, m_TWaitTimeout, 3, 10000);
	DDX_Text(pDX, IDC_TAFTERREST, m_TAfterRest);
	DDV_MinMaxInt(pDX, m_TAfterRest, 3, 10000);
	DDX_Text(pDX, IDC_TSTARTING, m_TStarting);
	DDV_MinMaxInt(pDX, m_TStarting, 3, 10000);
	DDX_Text(pDX, IDC_TUP, m_TUp);
	DDV_MinMaxInt(pDX, m_TUp, 3, 10000);
	DDX_Text(pDX, IDC_TUPBRAKING, m_TUpBraking);
	DDV_MinMaxInt(pDX, m_TUpBraking, 3, 10000);
	DDX_Text(pDX, IDC_TDOWN, m_TDown);
	DDV_MinMaxInt(pDX, m_TDown, 3, 10000);
	DDX_Text(pDX, IDC_TDOWNBRAKING, m_TDownBraking);
	DDV_MinMaxInt(pDX, m_TDownBraking, 3, 10000);
	DDX_Text(pDX, IDC_THUMAN, m_THuman);
	DDV_MinMaxInt(pDX, m_THuman, 3, 10000);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CTimeoutsDlg, CDialog)
	//{{AFX_MSG_MAP(CTimeoutsDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CTimeoutsDlg message handlers

