#include "stdafx.h"
#include "../Lift.h"
#include "Automat.h"
#include "A2.h"
#include "A1.h"
#include "A0.h"

//    
const A2::e0=0;
const A2::e1=1;

///////////////////////////////////////////////////////////////
//   A2

void A2::Step(int e)
{
    switch (y)
    {
        case 0: //  
            if (e==e0) {
                z1_0();
			} else
			if (Nest->y==2) {
				z1_1();
				y=1;
			}
        break;
        case 1: //  
			if (!x1_1()) {
				z1_1();
			} else
			if (x1_1()) {
				z2_0(TO(((CLiftApp*)AfxGetApp())->m_TODlg.m_TDoorsTimeout));
				y=2;
			}
		break;
		case 2: //  
			if (x2_0()) {
				z1_2();
				y=3;
			}
        break;			
        case 3: //  
			if (x1_0()) {
				z1_1();
				y=4;
			} else 
			if (!x1_2()) {
				z1_2();
			} else
			if (x1_2()) {
				y=0;
			}
		break;
        case 4: //   
			if (!x1_1()) {
				z1_1();
			} else
			if (x1_1()) {
				z2_0(TO(((CLiftApp*)AfxGetApp())->m_TODlg.m_TWaitTimeout));
				y=2;
			}
		break;
    }
}

void A2::WriteLog(CString s,int indent) //     s (indent - )
{
    if (!DoLog) return;
    ((CLiftApp*)AfxGetApp())->m_LogDlg.m_sLog+=AutoService::IndentSpaces(indent+BaseIndent)+s+"\r\n";
}

void A2::WriteLogOnStart(int y,int e,int indent) //      ,      e (indent - )
{
    if (!DoLog) return;
    CString str;
	CString s;
	if (e==e0) s="e0"; else
	if (e==e1) s="e1";
    str.Format(" A2    %d   %s",y,s);
    WriteLog(str,indent);
}

void A2::WriteLogOnStateChanged(int y,int y_old,int indent) //      ,      y_old  y (indent - )
{
    if (!DoLog) return;
    CString str;
    if (y==y_old) str.Format(" A2   %d",y);
        else str.Format(" A2    %d   %d",y_old,y);
    WriteLog(str,indent);
}

void A2::WriteLogOnFinish(int y,int indent) //      ,       y (indent - )
{
    if (!DoLog) return;
    CString str;
	str.Format(" A2     %d",y);
    WriteLog(str,indent);
}

///////////////////////////////////////////////////////////////
//  

// ,    ,  

int A2::x1_0()
{
	int b=(((CLiftApp*)AfxGetApp())->m_MenMoving!=0);
	CString str;
	str.Format("x1_0: -      ? -  %d",b);
    WriteLog(str,3);
    return b;
}

int A2::x1_1()
{
	int b=(mover[((A0*)Nest)->floor]==1.0);
	CString str;
	str.Format("x1_1:      ? -  %d",b);
    WriteLog(str,3);
    return b;
}

int A2::x1_2()
{
	int b=(mover[((A0*)Nest)->floor]==0.0);
	CString str;
	str.Format("x1_2:      ? -  %d",b);
    WriteLog(str,3);
    return b;
}

// ,   

int A2::x2_0()
{
	int b=(timer==0);
	CString str;
	str.Format("x2_0:   0? -  %d",b);
    WriteLog(str,3);
    return b;
}

///////////////////////////////////////////////////////////////
//  

//    ,  

void A2::z1_0()
{
    WriteLog("z1_0:      ",3);
    for (int i=0; i<=4; i++) mover[i]=0.0;
}

void A2::z1_1()
{
    WriteLog("z1_1():       ",3);
	mover[((A0*)Nest)->floor]+=1.0/TO(((CLiftApp*)AfxGetApp())->m_TODlg.m_TDoors);
	if (mover[((A0*)Nest)->floor]>1.0) mover[((A0*)Nest)->floor]=1.0;
}

void A2::z1_2()
{
    WriteLog("z1_2:       ",3);
	mover[((A0*)Nest)->floor]-=1.0/TO(((CLiftApp*)AfxGetApp())->m_TODlg.m_TDoors);
	if (mover[((A0*)Nest)->floor]<0.0) mover[((A0*)Nest)->floor]=0.0;
}

//   

void A2::z2_0(unsigned n)
{
    CString str; str.Format("z2_0(%d):     %d",n,n); WriteLog(str,3);
	timer=n;
}
