#if !defined(AFX_HUMAN_H__0E41CC05_D27F_4F40_B238_FE5D7D82A097__INCLUDED_)
#define AFX_HUMAN_H__0E41CC05_D27F_4F40_B238_FE5D7D82A097__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "HumanDlg.h"

/////////////////////////////////////////////////////////////////////////////
// CHuman window

class CHuman : public CWnd
{
public:
    CHuman();

protected:
    CBrush m_Brush;
    CPen m_Pen;

protected:
    CString m_Name;    //
    uchar m_CurFloor;  // 
    uchar m_TgtFloor;  // 
    ulong m_WaitFor;   //     ?
    ulong m_PutIntoAt; //    ?

public:
    inline CString GetName() {return m_Name;}
    inline void SetName(CString s) {m_Name=s;}
    inline uchar GetCurFloor() {return m_CurFloor;}
    inline void SetCurFloor(uchar n) {if (n<=4) m_CurFloor=n;}
    inline uchar GetTgtFloor() {return m_TgtFloor;}
    inline void SetTgtFloor(uchar n) {if (n<=4) m_TgtFloor=n;}
    inline ulong GetWaitFor() {return m_WaitFor;}
    inline void SetWaitFor(ulong n) {m_WaitFor=n;}
    inline ulong GetPutIntoAt() {return m_PutIntoAt;}
    inline void SetPutIntoAt(ulong n) {m_PutIntoAt=n;}

    void UpdateDialogFields(CHumanDlg& hdlg);
    void UpdateHumanFields(CHumanDlg& hdlg);

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CHuman)
	//}}AFX_VIRTUAL

public:
	virtual ~CHuman();
    BOOL Create(DWORD dwStyle, const RECT& rect, CWnd* pParentWnd, UINT nID);

protected:
	//{{AFX_MSG(CHuman)
	afx_msg void OnPaint();
	afx_msg void OnRButtonUp(UINT nFlags, CPoint point);
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_HUMAN_H__0E41CC05_D27F_4F40_B238_FE5D7D82A097__INCLUDED_)
